MKVINFO(1)

NAME
mkvinfo - Print information about tracks in Matroska files

SYNOPSIS
mkvinfo [options] inname

DESCRIPTION

This program lists all tracks contained in a Matroska file including information about the codecs used.

inname
    Use 'inname' as the source.

-g, --gui
    Start the GUI. This option is only available if mkvinfo was compiled with GUI support.

-v, --verbose
    Be verbose and show all Matroska elements. See the section 'VERBOSITY LEVELS' for details.

-c, --checksums
    Calculates and display the Adler32 checksum for each frame. Useful for debugging only.

-s, --summary
    Only show a terse summary of what mkvinfo finds and not each element.

--output-charset <charset>
    Sets the charset to which strings are converted that are to be output. It defaults to the charset given by system's current locale.

-r, --redirect-output <filename>
    Writes all messages to the file filename instead of to the console. While this can be done easily with output redirection there are cases in which this option is needed: when the terminal reinterprets the output before writing it to a file. The charset set with --output-charset is honored.

--ui-language <code>
    Forces the translations for the language code to be used (e.g. de_DE for the German translations). If is preferable to use the environment variables LANG, LC_MESSAGES and LC_ALL though. Entering "list" as the code will cause mkvinfo to output a list of available translations.

-h, --help
    Show usage information.

-V, --version
    Show version information.

VERBOSITY LEVELS

The -v option can be used to increase mkvinfo's verbosity level and print more information about the current file.

level 0
    will print only the track headers it finds and their types. mkvinfo will exit as soon as the headers are parsed completely (more technical: as soon as the first cluster is encountered). In this level the seek head entries and the cues will not be displayed - even if they're located in front of the track information.

level 1
    will also print all Matroska elements encountered for the complete file but the seek head entries and the cue entries.

level 2
    will also print the seek head entries, the cue entries and the file position at which each Matroska element can be found at.

level 3
    will print some information that is not directly connected to a Matroska element. All other elements only print stuff about the elements that were just found. Level 3 adds meta information to ease debugging (read: it's intended for developers only). All lines written by level 3 are enclosed in square brackets to make filtering them out easy.

AUTHOR
mkvinfo was written by Moritz Bunkus <moritz@bunkus.org>.

SEE ALSO
mkvmerge(1), mkvextract(1), mmg(1)

WWW
The newest version can always be found at http://www.bunkus.org/videotools/mkvtoolnix/